import es
import playerlib, gamethread, popuplib, cfglib, langlib, time

config = cfglib.AddonCFG(es.ServerVar('eventscripts_gamedir') + '/cfg/war.cfg')

config.text('********************************')
config.text('* BEWar (Menu Driven) Settings *')
config.text('********************************')

admins = config.cvar('bewar_admins', 'STEAM_0:1:14942199', 'Setup Admins here - split with ";"')

config.write()

tuple_time = time.localtime(time.time() + 60)
int_hour = tuple_time[3]
str_time = '%s.%s.%s - %s:%02d' % (tuple_time[2], tuple_time[1], tuple_time[0], int_hour, tuple_time[4])

text = 0
knife_text = 0
war_text = 0
fh = 0
sh = 0
war_menu = 0
war_menu_two = 0
main = 0
mr = 0
mr_count = 12
mr_knife = 0
choose_menu = 0
start_match = 0
start = 0
one = 0
two = 0
three = 0
five = 0
kind = 0
second_half = 0
round_count = 0
knife_match = 0
knife_count = 0
knife_menu = 0
round_count2 = 0
wins_team1 = 0
wins_team2 = 0
wins_team1_total = 0
wins_team2_total = 0
team1 = 1
team2 = 2
winner_team = 0
war = 0

def load():
    global war_menu, war_menu_two, mr, choose_menu, one, two, three, five, main, knife_menu, start_match, mr_knife, text, knife_text, war_text, fh, sh
    config.execute()
    text = langlib.Strings(es.getAddonPath('bewar') + '/languages/langs.ini')
    knife_text = langlib.Strings(es.getAddonPath('bewar') + '/languages/knife_match.ini')
    war_text = langlib.Strings(es.getAddonPath('bewar') + '/languages/match.ini')
    fh = langlib.Strings(es.getAddonPath('bewar') + '/languages/first_half.ini')
    sh = langlib.Strings(es.getAddonPath('bewar') + '/languages/second_half.ini')
    es.server.cmd('es_xflags remove cheat endround')
    war_menu = popuplib.easymenu('war_menu', '_popup_choice', war_men)
    war_menu.settitle('War-Menu')
    war_menu.addoption('resume', 'Resume War')
    war_menu.addoption('stop', 'Stop War')
    main = popuplib.easymenu('main', '_popup_choice', main_menu)
    main.settitle('Main Menu')
    main.addoption('knife', 'Knife Match')
    main.addoption('war', 'War Match')
    war_menu_two = popuplib.easymenu('war_menu_two', '_popup_choice', war_men_two)
    war_menu_two.settitle('War Match')
    war_menu_two.addoption('del', 'Delete Player\'s score and reset the Teams')
    war_menu_two.addoption('match', 'Choose a Match')
    mr = popuplib.easymenu('max_rounds', '_popup_choice', mr_menu)
    mr.settitle('Set Max Rounds!')
    mr.addoption('mr', 'Max Rounds: %s' % mr_count)
    mr.addoption('lma', 'Save changes and play!')
    mr_knife = popuplib.easymenu('mr_knife', '_popup_choice', mr_knife_menu)
    mr_knife.settitle('Knife Match - Max Rounds')
    mr_knife.addoption('mr', 'Max Rounds: %s' % mr_count)
    mr_knife.addoption('lma', 'Save changes and play!')
    knife_menu = popuplib.easymenu('knife_menu', '_popup_choice', knife_men)
    knife_menu.settitle('Knife Menu')
    knife_menu.addoption('start_knife', 'Start the Knife-Match')
    knife_menu.addoption('resume', 'Resume the Knife-Match')
    knife_menu.addoption('stop_knife', 'Stop the Knife-Match')
    choose_menu = popuplib.easymenu('menu', '_popup_choice', menu)
    choose_menu.settitle('Choose a Match')
    choose_menu.addoption('one', '1on1 Match')
    choose_menu.addoption('two', '2on2 Match')
    choose_menu.addoption('three', '3on3 match')
    choose_menu.addoption('five', '5on5 Match')
    one = popuplib.easymenu('1on1', '_popup_choice', one_menu)
    one.settitle('Choose a Ladder for 1on1')
    one.addoption('normal', 'Normal Match')
    one.addoption('awp', 'AWP Ladder')
    one.addoption('eas', 'EAS Ladder')
    one.addoption('fun', 'Funmaps Ladder')
    one.addoption('hg', 'Handguns Ladder')
    one.addoption('rush', 'Rush Ladder')
    two = popuplib.easymenu('2on2', '_popup_choice', two_menu)
    two.settitle('Choose a Ladder for 2on2')
    two.addoption('normal', 'Normal Match')
    two.addoption('awp', 'AWP Ladder')
    two.addoption('eas', 'EAS Ladder')
    two.addoption('hg', 'Handguns Ladder')
    two.addoption('rush', 'Rush Ladder')
    three = popuplib.easymenu('3on3', '_popup_choice', three_menu)
    three.settitle('Choose a Ladder for 3on3')
    three.addoption('normal', 'Normal Match')
    three.addoption('awp', 'Funmaps Ladder')
    three.addoption('eas', 'GunGame Ladder')
    five = popuplib.easymenu('5on5', '_popup_choice', five_menu)
    five.settitle('Choose a Ladder for 5on5')
    five.addoption('normal', 'Normal Match')
    five.addoption('awp', 'AWP Ladder')
    five.addoption('eas', 'EAS Ladder')
    five.addoption('cml', 'CML Ladder')
    five.addoption('ems', 'EMS Ladder')
    five.addoption('enc', 'ENC Ladder')
    five.addoption('eps', 'EPS Ladder')
    start_match = popuplib.easymenu('start_match', '_popup_choice', start_men)
    start_match.settitle('Start the Match?')
    start_match.addoption('start', 'Start the Match!')
    if not es.exists('saycommand', 'admin'):
        es.regsaycmd('admin', 'bewar/war_send')
    if not es.exists('clientcommand', 'admin'):
        es.regclientcmd('admin', 'bewar/war_send')
    if not es.exists('saycommand', 'mr'):
        es.regsaycmd('mr', 'bewar/mr_set_get')
    if not es.exists('saycommand', 'teams'):
        es.regsaycmd('teams', 'bewar/teams')

def unload():
    global war_menu, war_menu_two, mr, mr_knife, main, choose_menu, one, two, three, five, start_match, knife_menu
    war_menu.delete()
    war_menu_two.delete()
    mr.delete()
    mr_knife.delete()
    main.delete()
    choose_menu.delete()
    one.delete()
    two.delete()
    three.delete()
    five.delete()
    start_match.delete()
    knife_menu.delete()
    es.server.cmd('es_xflags add cheat endround')
    es.unregsaycmd('admin')
    es.unregclientcmd('admin')
    es.unregsaycmd('mr')
    es.unregsaycmd('teams')

def teams():
    userid = es.getcmduserid()
    es.tell(userid, '#multi', text('teams', {'team1':team1, 'team2':team2}))

def player_activate(ev):
    if ev['es_steamid'] in str(admins).split(';'):
        es.server.cmd('est_MakeAdmin %s' % ev['es_steamid'])

def mr_set_get():
    global mr, mr_knife
    userid = es.getcmduserid()
    if es.getplayersteamid(userid) in str(admins).split(';'):
        if knife_match == 1:
            mr_knife.setoption('mr', 'Max Rounds: %s' % mr_count)
            mr_knife.send(userid)
        else:
            mr.setoption('mr', 'Max Rounds: %s' % mr_count)
            mr.send(userid)
    else:
        es.tell(userid, '#multi', text('mr', {'count':mr_count}))

def war_send():
    userid = es.getcmduserid()
    if es.getplayersteamid(userid) in str(admins).split(';'):
        if knife_match == 1:
            knife_menu.send(userid)
        elif war == 1:
            war_menu.send(userid)
        else:
            main.send(userid)
    else:
        es.tell(userid, '#multi', text('no admin'))

def war_men(userid, choice, popupid):
    global war, knife_match, team1, team2, wins_team1, wins_team2, wins_team1_total, wins_team2_total, winner_team, round_count, round_count2
    if choice == 'resume':
        war_menu.unsend(userid)
    elif choice == 'stop':
        war = 0
        knife_match = 0
        team1 = 1
        team2 = 2
        wins_team1 = 0
        wins_team2 = 0
        wins_team1_total = 0
        wins_team2_total = 0
        winner_team = 0
        round_count = 0
        round_count2 = 0
        es.server.cmd('mp_restartgame 1')
        es.msg('#multi', war_text('match stopped', {'name':es.getplayername(userid)}))
        main.send(userid)

def war_men_two(userid, choice, popupid):
    global team1, team2, wins_team1, wins_team2, wins_team1_total, wins_team2_total, winner_team, round_count, round_count2, war, knife_match
    if choice == 'del':
        war = 0
        knife_match = 0
        team1 = 1
        team2 = 2
        wins_team1 = 0
        wins_team2 = 0
        wins_team1_total = 0
        wins_team2_total = 0
        winner_team = 0
        round_count = 0
        round_count2 = 0
        war_menu_two.send(userid)
        es.msg('#multi', text('score deleted, players reset'))
    elif choice == 'match':
        choose_menu.send(userid)

def main_menu(userid, choice, popupid):
    global team1, team2, wins_team1, wins_team2, wins_team1_total, wins_team2_total, winner_team, round_count, round_count2
    if choice == 'knife':
        team1 = 1
        team2 = 2
        wins_team1 = 0
        wins_team2 = 0
        wins_team1_total = 0
        wins_team2_total = 0
        winner_team = 0
        round_count = 0
        round_count2 = 0
        knife_menu.send(userid)
    elif choice == 'war':
        war_menu_two.send(userid)

def mr_knife_menu(userid, choice, popupid):
    global mr_count, mr_knife
    if choice == 'mr':
        mr_count += 1
        mr_knife.setoption('mr', 'Max Rounds: %s' % mr_count)
        mr_knife.send(userid)
        if mr_count > 14:
            mr_count = 0
    elif choice == 'lma':
        mr_knife.unsend(userid)
        es.msg('#multi', text('mr', {'count':mr_count}))
        gamethread.delayed(.1, es.msg, ('#multi', text('say mr')))

def knife_men(userid, choice, popupid):
    global knife_match, mr_count, kind, second_half, start, war
    ts = es.getplayercount(2)
    cts = es.getplayercount(3)
    if choice == 'start_knife':
        if ts == cts:
            war = 0
            start = 'knife'
            kind = 'Knife Match'
            knife_match = 1
            second_half = 0
            start_match.send(userid)
        elif ts > cts:
            es.msg('#multi', text('check teams'))
            gamethread.delayed(.1, es.msg, ('#multi', text('ct too less')))
        else:
            es.msg('#multi', text('check teams'))
            gamethread.delayed(.1, es.msg, ('#multi', text('t too less')))
    elif choice == 'resume':
        knife_menu.unsend(userid)
    elif choice == 'stop_knife':
        knife_match = 0
        war = 1
        start = 0
        kind = 0
        second_half = 0
        mr_count = 12
        main.send(userid)
        es.msg('#multi', knife_text('match stopped', {'name':es.getplayername(userid)}))
        es.server.cmd('mp_restartgame 1')

def menu(userid, choice, popupid):
    if choice == 'one':
        one.send(userid)
    elif choice == 'two':
        two.send(userid)
    elif choice == 'three':
        three.send(userid)
    elif choice == 'five':
        five.send(userid)

def one_menu(userid, choice, popupid):
    global kind, start, war, knife_match
    ts = es.getplayercount(2)
    cts = es.getplayercount(3)
    if ts == cts:
        knife_match = 0
        war = 1
        kind = '1on1'
        gamethread.delayed(.2, es.msg, ('#multi', text('check teams')))
        gamethread.delayed(.3, es.msg, ('#multi', text('teams okay')))
        if choice == 'normal':
            start = 'one_normal'
            start_match.send(userid)
        elif choice == 'awp':
            start = 'one_awp'
            start_match.send(userid)
        elif choice == 'eas':
            start = 'one_eas'
            start_match.send(userid)
        elif choice == 'funmaps':
            start = 'one_fun'
            start_match.send(userid)
        elif choice == 'pistols':
            start = 'one_pist'
            start_match.send(userid)
        elif choice == 'rush':
            start = 'one_rush'
            start_match.send(userid)
    elif ts > cts:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('ct too less')))
    else:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('t too less')))

def two_menu(userid, choice, popupid):
    global kind, start, war, knife_match
    ts = es.getplayercount(2)
    cts = es.getplayercount(3)
    if ts == cts:
        knife_match = 0
        war = 1
        kind = '2on2'
        gamethread.delayed(.2, es.msg, ('#multi', text('check teams')))
        gamethread.delayed(.3, es.msg, ('#multi', text('teams okay')))
        if choice == 'normal':
            start = 'two_normal'
            start_match.send(userid)
        elif choice == 'awp':
            start = 'two_awp'
            start_match.send(userid)
        elif choice == 'eas':
            start = 'two_eas'
            start_match.send(userid)
        elif choice == 'pistols':
            start = 'two_pist'
            start_match.send(userid)
        elif choice == 'rush':
            start = 'two_rush'
            start_match.send(userid)
    elif ts > cts:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('ct too less')))
    else:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('t too less')))

def three_menu(userid, choice, popupid):
    global kind, start, war, knife_match
    ts = es.getplayercount(2)
    cts = es.getplayercount(3)
    if ts == cts:
        knife_match = 0
        war = 1
        kind = '3on3'
        gamethread.delayed(.2, es.msg, ('#multi', text('check teams')))
        gamethread.delayed(.3, es.msg, ('#multi', text('teams okay')))
        if choice == 'normal':
            start = 'three_normal'
            start_match.send(userid)
        elif choice == 'funmaps':
            start = 'three_fun'
            start_match.send(userid)
        elif choice == 'gungame':
            start = 'three_gg'
            start_match.send(userid)
    elif ts > cts:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('ct too less')))
    else:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('t too less')))

def five_menu(userid, choice, popupid):
    global kind, start, war, knife_match
    ts = es.getplayercount(2)
    cts = es.getplayercount(3)
    if ts == cts:
        knife_match = 0
        war = 1
        kind = '5on5'
        gamethread.delayed(.2, es.msg, ('#multi', text('check teams')))
        gamethread.delayed(.3, es.msg, ('#multi', text('teams okay')))
        if choice == 'normal':
            start = 'five_normal'
            start_match.send(userid)
        elif choice == 'awp':
            start = 'five_awp'
            start_match.send(userid)
        elif choice == 'cml':
            start = 'five_cml'
            start_match.send(userid)
        elif choice == 'eas':
            start = 'five_eas'
            start_match.send(userid)
        elif choice == 'ems':
            start = 'five_ems'
            start_match.send(userid)
        elif choice == 'enc':
            start = 'five_enc'
            start_match.send(userid)
        elif choice == 'eps':
            start = 'five_eps'
            start_match.send(userid)
    elif ts > cts:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('ct too less')))
    else:
        war = 0
        es.msg('#multi', text('check teams'))
        gamethread.delayed(.1, es.msg, ('#multi', text('t too less')))

def start_men(userid, choice, popupid):
    global start, second_half
    if war or knife_match == 1:
        es.server.cmd('exec war/password.cfg')
        es.server.cmd('endround')
        gamethread.delayed(3.2, es.msg, ('#multi', text('teams', {'team1':team1, 'team2':team2})))
        gamethread.delayed(0, es.server.cmd, ('endround'))
        gamethread.delayed(1, es.server.cmd, ('endround'))
        gamethread.delayed(1, es.server.cmd, ('mp_restartgame 1'))
        if start == 'knife':
            gamethread.delayed(.1, es.centermsg, ('%s - LIVE on 3 Restarts' % kind))
            gamethread.delayed(1.1, es.centermsg, ('%s - LIVE on 2 Restarts' % kind))
            gamethread.delayed(3, es.msg, ('#multi', text('knife live')))
            gamethread.delayed(3, mr_knife.send, (userid))
        else:
            gamethread.delayed(3, mr.send, (userid))
        if start == 'one_normal':
            second_half = 0
            es.server.cmd('exec war/e1on1.cfg')
        elif start == 'one_awp':
            second_half = 'AWP Ladder'
            es.server.cmd('exec war/e1on1aml.cfg')
        elif start == 'one_eas':
            second_half = 'EAS Ladder'
            es.server.cmd('exec war/e1on1eas.cfg')
        elif start == 'one_fun':
            second_half = 'Funmaps Ladder'
            es.server.cmd('exec war/e1on1fml.cfg')
        elif start == 'one_pist':
            second_half = 'Handguns Ladder'
            es.server.cmd('exec war/e1on1hg.cfg')
        elif start == 'one_rush':
            second_half = 'Rush Ladder'
            es.server.cmd('exec war/e1on1rl.cfg')
        elif start == 'two_normal':
            second_half = 0
            es.server.cmd('exec war/e2on2.cfg')
        elif start == 'two_awp':
            second_half = 'AWP Ladder'
            es.server.cmd('exec war/e2on2aml.cfg')
        elif start == 'two_eas':
            second_half = 'EAS Ladder'
            es.server.cmd('exec war/e2on2eas.cfg')
        elif start == 'two_pist':
            second_half = 'Handguns Ladder'
            es.server.cmd('exec war/e2on2hg.cfg')
        elif start == 'two_rush':
            second_half = 'Rush Ladder'
            es.server.cmd('exec war/e2on2rl.cfg')
        elif start == 'three_normal':
            second_half = 0
            es.server.cmd('exec war/e3on3.cfg')
        elif start == 'three_fun':
            second_half = 'Funmaps Ladder'
            es.server.cmd('exec war/e3on3fml.cfg')
        elif start == 'three_gg':
            second_half = 'GuNGame Ladder'
            es.server.cmd('exec war/e3on3gg.cfg')
        elif start == 'five_normal':
            second_half = 0
            es.server.cmd('exec war/e5on5.cfg')
        elif start == 'five_awp':
            second_half = 'AWP Ladder'
            es.server.cmd('exec war/e5on5aml.cfg')
        elif start == 'five_cml':
            second_half = 'CML Ladder'
            es.server.cmd('exec war/e5on5cml.cfg')
        elif start == 'five_eas':
            second_half = 'EAS Ladder'
            es.server.cmd('exec war/e5on5eas.cfg')
        elif start == 'five_ems':
            second_half = 'EMS Ladder'
            es.server.cmd('exec war/e5on5ems.cfg')
        elif start == 'five_enc':
            second_half = 'ENC Ladder'
            es.server.cmd('exec war/e5on5enc.cfg')
        elif start == 'five_eps':
            second_half = 'EPS Ladder'
            es.server.cmd('exec war/e5on5eps.cfg')
        elif second_half == 0:
            gamethread.delayed(.1, es.centermsg, ('Match - %s - LIVE on 3 Restarts' % kind))
            gamethread.delayed(1.1, es.centermsg, ('Match - %s - LIVE on 2 Restarts' % kind))
            gamethread.delayed(3, es.msg, ('#multi', war_text('match live', {'name':kind})))
        else:
            gamethread.delayed(.1, es.centermsg, ('Match - %s %s - LIVE on 3 Restarts' % (kind, second_half)))
            gamethread.delayed(1.1, es.centermsg, ('Match - %s %s - LIVE on 2 Restarts' % (kind, second_half)))
            gamethread.delayed(3, es.msg, ('#multi', war_text('match + sec name', {'name':kind, 'sec_name':second_half})))

def mr_menu(userid, choice, popupid):
    global mr, mr_count
    if choice == 'mr':
        if mr_count == 12:
            mr_count = 15
        elif mr_count == 15:
            mr_count = 1
        elif mr_count == 1:
            mr_count = 12
        mr.send(userid)
        mr.setoption('mr', 'Max Rounds: %s' % mr_count)
    elif choice == 'lma':
        mr.unsend(userid)
        es.msg('#multi', text('mr', {'count':mr_count}))
        gamethread.delayed(.1, es.msg, ('#multi', text('say mr')))

def round_end(ev):
    global mr_count, round_count, knife_match, round_count2, knife_count, wins_team1, wins_team2, team1, team2, winner_team, wins_team1_total, wins_team2_total
    if knife_match == 1:
        if ev['reason'] not in ['16', '10']:
            knife_count += 1
        ts = es.getlivingplayercount(2)
        cts = es.getlivingplayercount(3)
        if knife_count == mr_count:
            if ev['winner'] == '2':
                gamethread.delayed(.2, es.msg, ('#multi', knife_text('terrorists won')))
            elif ev['winner'] == '3':
                gamethread.delayed(.2, es.msg, ('#multi', knife_text('counter-terrorists won')))
            wins_team1 = 0
            wins_team2 = 0
            team1 = 2
            team2 = 1
            knife_match = 0
            mr_count = 12
    elif war == 1:
        if ev['reason'] not in ['16', '10']:
            round_count += 1
            round_count2 += 1
        if team1 == 1 and team2 == 2:
            if ev['winner'] == '2':
                wins_team1 += 1
            if ev['winner'] == '3':
                wins_team2 += 1
        if team1 == 2 and team2 == 1:
            if ev['winner'] == '2':
                wins_team2 += 1
            if ev['winner'] == '3':
                wins_team1 += 1
        if round_count == mr_count:
            round_count2 = 0
            if wins_team1 == wins_team2:
                gamethread.delayed(.2, es.msg, ('#multi', fh('no team won', {'wins_team1':wins_team1, 'wins_team2':wins_team2})))
                gamethread.delayed(.4, es.msg, ('#multi', text('fh ended swap teams')))
            elif wins_team1 > wins_team2:
                winner_team = 1
                wins_team1_total += 1
            else:
                winner_team = 2
                wins_team2_total += 1
            gamethread.delayed(.2, es.msg, ('#multi', fh('team won', {'winner_team':winner_team, 'wins_team1':wins_team1, 'wins_team2':wins_team2, 'wins_team1_total':wins_team1_total, 'wins_team2_total':wins_team2_total})))
            gamethread.delayed(.4, es.msg, ('#multi', text('fh ended swap teams')))
            for ter in playerlib.getUseridList('#t'):
                gamethread.delayed(2, es.server.cmd, ('est_Team %s 3' % ter))
            for cts in playerlib.getUseridList('#ct'):
                gamethread.delayed(2, es.server.cmd, ('est_Team %s 2' % cts))
            wins_team1 = 0
            wins_team2 = 0
            team1 = 2
            team2 = 1
        elif round_count2 == mr_count:
            if wins_team1 > wins_team2:
                wins_team1_total += 1
            else:
                wins_team2_total += 1
            if wins_team1_total > wins_team2_total:
                winner_team = 1
            else:
                winner_team = 2
            if wins_team1_total == wins_team2_total:
                if second_half != 0:
                    gamethread.delayed(.1, es.msg, ('#multi', sh('match ended + sec name', {'name':kind, 'sec_name':second_half, 'map':es.ServerVar('eventscripts_currentmap'), 'date':str_time})))
                    gamethread.delayed(.3, es.msg, ('#multi', sh('no team won', {'wins_team1_total':wins_team1_total, 'wins_team2_total':wins_team2_total})))
                else:
                    gamethread.delayed(.1, es.msg, ('#multi', sh('match ended', {'name':kind, 'map':es.ServerVar('eventscripts_currentmap'), 'date':str_time})))
                    gamethread.delayed(.3, es.msg, ('#multi', sh('no team won', {'wins_team1_total':wins_team1_total, 'wins_team2_total':wins_team2_total})))
            else:
                if second_half != 0:
                    gamethread.delayed(.1, es.msg, ('#multi', sh('match ended + sec name', {'name':kind, 'sec_name':second_half, 'map':es.ServerVar('eventscripts_currentmap'), 'date':str_time})))
                    gamethread.delayed(.2, es.msg, ('#multi', sh('team won', {'winner_team':winner_team, 'wins_team1':wins_team1, 'wins_team2':wins_team2, 'wins_team1_total':wins_team1_total, 'wins_team2_total':wins_team2_total})))
                    gamethread.delayed(.4, es.msg, ('#multi', text('gg')))
                else:
                    gamethread.delayed(.1, es.msg, ('#multi', sh('match ended', {'name':kind, 'map':es.ServerVar('eventscripts_currentmap'), 'date':str_time})))
                    gamethread.delayed(.2, es.msg, ('#multi', sh('team won', {'winner_team':winner_team, 'wins_team1':wins_team1, 'wins_team2':wins_team2, 'wins_team1_total':wins_team1_total, 'wins_team2_total':wins_team2_total})))
                    gamethread.delayed(.4, es.msg, ('#multi', text('gg')))

def player_spawn(ev):
    if knife_match == 1:
        es.server.cmd('es_xfire %s func_buyzone Disable' % ev['userid'])
        es.server.cmd('es_xfire %s player_weaponstrip kill' % ev['userid'])
        es.server.cmd('es_xgive %s player_weaponstrip' % ev['userid'])
        es.server.cmd('es_xfire %s player_weaponstrip strip' % ev['userid'])
        gamethread.delayed(.1, es.server.cmd, ('es_xgive %s weapon_knife' % ev['userid']))
        gamethread.delayed(.1, es.server.cmd, ('es_xgive %s item_assaultsuit' % ev['userid']))
    else:
        es.server.cmd('es_xfire %s func_buyzone Enable' % ev['userid'])

def round_start(ev):
    global round_count
    if round_count == mr_count:
        if war == 1:
            ts = es.getplayercount(2)
            cts = es.getplayercount(3)
            round_count = -200
            if ts == cts:
                gamethread.delayed(0, es.server.cmd, ('endround'))
                gamethread.delayed(1, es.server.cmd, ('endround'))
                gamethread.delayed(1, es.server.cmd, ('mp_restartgame 1'))
                gamethread.delayed(.2, es.msg, ('#multi', text('check teams')))
                gamethread.delayed(.3, es.msg, ('#multi', text('teams okay')))
                gamethread.delayed(3, es.msg, ('#multi', text('teams', {'team1':team1, 'team2':team2})))
                gamethread.delayed(3, es.msg, ('#multi', text('mr', {'count':mr_count})))
                gamethread.delayed(3.1, es.msg, ('#multi', text('say mr')))
                if second_half != 0:
                    gamethread.delayed(.1, es.centermsg, ('Second Half - %s, %s - LIVE on 3 Restarts' % (kind, second_half)))
                    gamethread.delayed(1.1, es.centermsg, ('Second Half - %s, %s - LIVE on 2 Restarts' % (kind, second_half)))
                    gamethread.delayed(3, es.centermsg, ('Second Half - %s, %s - is - LIVE - Have Fun and Good Luck :)' % (kind, second_half)))
                else:
                    gamethread.delayed(.1, es.centermsg, ('Second Half - %s - LIVE on 3 Restarts' % kind))
                    gamethread.delayed(1.1, es.centermsg, ('Second Half - %s - LIVE on 2 Restarts' % kind))
                    gamethread.delayed(3, es.centermsg, ('Second Half - %s - is - LIVE - Have Fun and Good Luck :)' % kind))
            elif ts > cts:
                es.msg('#multi', text('check teams'))
                gamethread.delayed(.1, es.msg, ('#multi', text('t too less')))
            else:
                es.msg('#multi', text('check teams'))
                gamethread.delayed(.1, es.msg, ('#multi', text('ct too less')))
